classification
Title: Idle: optionally auto-pop-up completion window for names
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: rejected
Dependencies: 3068 Superseder:
Assigned To: terry.reedy Nosy List: terry.reedy
Priority: normal Keywords:

Created on 2014-10-04 20:49 by terry.reedy, last changed 2020-06-07 23:38 by terry.reedy. This issue is now closed.

Messages (4)
msg228492 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-10-04 20:49
Currently auto popup after delay only after '.' or in a string.
msg228493 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-10-04 20:50
Need extension config dialog before add this.  Should then review completion extension for options that people might want.
msg271183 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-07-24 23:54
The extension configuration was added a couple weeks after this was opened.  The idea of the second message is that new popup should be optional even when completions are enabled.
msg370929 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-06-07 23:38
I think my proposal was to auto popup name completion without having to hit tab.  Maybe only if match.  I withdraw it.  Would have to check updated completion list after each char, maybe call after, and usually cancel.  Never a request for this.
History
Date User Action Args
2020-06-07 23:38:49terry.reedysetstatus: open -> closed
resolution: rejected
messages: + msg370929

stage: needs patch -> resolved
2017-06-30 00:03:37terry.reedysetassignee: terry.reedy
versions: + Python 3.6, Python 3.7, - Python 2.7, Python 3.4
2016-07-25 00:08:07terry.reedylinkissue27609 dependencies
2016-07-24 23:54:55terry.reedysetmessages: + msg271183
2014-10-04 20:50:16terry.reedysetdependencies: + IDLE - Add an extension configuration dialog
messages: + msg228493
2014-10-04 20:49:00terry.reedycreate